GRAPH
  /SCATTERPLOT(BIVAR)=ability WITH reading
  /MISSING=LISTWISE .

GRAPH
  /SCATTERPLOT(BIVAR)=ability WITH maths
  /MISSING=LISTWISE .

* To add the fit line, you need to open the graph editor (by double-clicking on the graph), 
* and then select the Elements pull-down menu at the top, and then select Fit Line at Total.

* obtaining a Pearson correlation
 
DATASET ACTIVATE DataSet1.
CORRELATIONS
  /VARIABLES=reading maths
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE.

* you can also get out the 95% confidence interval for the correlation coefficient using regression and looking 
at the beta coefficient

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT reading
  /METHOD=ENTER maths.

* Q3.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT ability
  /METHOD=ENTER reading maths.

* Ability score = -0.492 + 1.108 reading score + 1.103 maths score + error
* Maths score = (ability score + 0.492 - 1.108 reading score) / 1.103
*              = (20 + 0.492 - 1.108 x 7)/1.103 = 11.54.

* R-squared for maths score taking reading ability into account 
               = 0.997 - 0.016 = 98%

* R-squared for maths score (ignoring reading ability) = 74%

* Using forward stepwise procedures gives the 'best' model as
* the null model despite large effect sizes (R-squared for maths score
* equals 74%)

* Using backward stepwise procedure gives the 'best' model as
* containing both reading score and maths score as predictors
* of ability 

* Cp (null model) = (283.20 / 0.358) + 2 - 5 =  788.06
*
* Cp for model using both maths and reading scores as predictors
* has lowest Cp (by a considerable margin) so is 'best' model
*
* Mallows Cp = 3 (maths score and reading score)
* Mallows Cp = 204.19 (maths score only)
* Mallows Cp = 777.66 (reading score only)


  

